-1

Could someone please help me with updating security packages only.

I have some Linux knowledge, but I want to be sure I do not update the PHP version during any updates.

Any help would be appreciated. Ubuntu details at AWS below.

Thank you.

Welcome to Ubuntu 16.04.4 LTS

101 packages can be updated. 10 updates are security updates.

New release '18.04.1 LTS' available. Run 'do-release-upgrade' to upgrade to it.

1

You can run the following command to check which packages needs to be upgraded.

apt list --upgradable

You can check the change log for a single package by running the following command

apt changelog php

However, it is Canonical's policy (the company behind Ubuntu) to stop updating major and minor versions of packages. So, if you are using 18.04, you would have 7.2 by default and you will be stuck with it forever unless you install a custom repository to install another version. Keep in mind, however, if you are using a custom repository for PHP, there's no guarantee whatsoever that you will stay on php7.2 after an upgrade.

All package updates will either be security fixes or bugfixes.

It's important to note however that there are a few exceptions to this rule, but that's mostly desktop applications (such as Firefox and Chromium and 3rd party applications not managed by Canonical).

As for new releases in the same LTS version, for example from 18.04 to 18.04.1, the same rule applies except for Kernel packages which would actually be upgraded and more hardware support would be included.

You can view the list of fixes between 18.04 and 18.04.1 here: BionicBeaver/ReleaseNotes/ChangeSummary/18.04.1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.